public class Computador {
  private int codigo;
  private String descricao;
  
  public Computador(int codigo, String descricao) throws Exception {
    if (codigo < 1) 
      throw new Exception("Cdigo abaixo do mnimo!");
    
    if (descricao == null) 
      throw new Exception("Descrio nula!");
      
    descricao = descricao.trim();
    
    if (descricao.length() < 5 || descricao.length() > 50)
      throw new Exception("Descrio invlida!");
      
    this.codigo = codigo;
    this.descricao = descricao;
  }
  
  public String toString() {
    return "Computador " + codigo + ": " + descricao;
  }
}

/********************************************************************
 * Este arquivo  parte integrante do livro identificado abaixo e  *
 * protegido pela legislao que trata dos direitos autorais.       *
 *                                                                  *
 * Ttulo:  Programao de Computadores em Java                     *
 * Autor:   Rui Rossi dos Santos                                    *
 * Editora: NovaTerra Editora e Distribuidora Ltda.                 *
 * Ano:     2014                                                    *
 ********************************************************************/